<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class Sidang_list_cetak extends CI_Controller {
	function cetak(){
		if($this->session->userdata('is_logged_in')==FALSE){
			redirect('login');
		}

		$segment = $this->uri->segment_array();
		$jenis_cetak = intval($segment[3]);
		$alur_perkara_id = $this->encrypt->decode(base64_decode($segment[4]));
		$keyword_segment = $this->encrypt->decode(base64_decode($segment[5]));
		$tanggal = $segment[6];

		if($keyword_segment!==0){
			$keyword = $keyword_segment;
		} else {
			$keyword = "";
		}

		$this->load->model('sidang_list/m_sidang_list','perkara');
		$query = $this->perkara->getSidangListCetak($alur_perkara_id,$keyword,$tanggal);

		$data['judulForm1'] = 'No';
			$data['judulForm2'] = 'Tanggal';
			$data['judulForm3'] = 'Sidang Keliling';
			$data['judulForm4'] = 'Ruangan';
			$data['judulForm5'] = 'Nomor Perkara';
			$data['judulForm6'] = 'Agenda';
			
			$data['judulForm9'] = 'Majelis Hakim';
			$data['judulForm10'] = 'Panitera Pengganti';
			$data['judulForm11'] = 'Keterangan';
			$data['judulForm12'] = 'Tanggal Tundaan<br>(Diisi di Ruang Sidang)';
			$data['judulForm13'] = 'Tanggal Putus<br>(Diisi di Ruang Sidang)';
			if(($alur_perkara_id==1)||($alur_perkara_id==5)||($alur_perkara_id==6)||($alur_perkara_id==7)||($alur_perkara_id==8)||($alur_perkara_id==9)){
				$data['main_body'] = 'jadwal_sidang_list/jadwal_sidang_list_1';
				$data['judulForm7'] = 'Penggugat';
				$data['judulForm8'] = 'Tergugat';
			} else if(($alur_perkara_id==111)||($alur_perkara_id==112)||($alur_perkara_id==113)
				||($alur_perkara_id==114)||($alur_perkara_id==115)||($alur_perkara_id==116)
				||($alur_perkara_id==117)||($alur_perkara_id==118)){
				$data['main_body'] = 'jadwal_sidang_list/jadwal_sidang_list_1';
				$data['judulForm7'] = 'Penuntut Umum';
				$data['judulForm8'] = 'Terdakwa';
			} else if(($alur_perkara_id==3)||($alur_perkara_id==4)) {
				$data['main_body'] = 'jadwal_sidang_list/jadwal_sidang_list_1';
				$data['judulForm7'] = 'Pemohon';
				$data['judulForm8'] = 'Termohon';
			} else if($alur_perkara_id==2) {
				$data['main_body'] = 'jadwal_sidang_list/jadwal_sidang_list_2';
				$data['judulForm7'] = 'Pemohon';
			} else if(($alur_perkara_id==15)||($alur_perkara_id==16)){
				$data['main_body'] = 'jadwal_sidang_list/jadwal_sidang_list_1';
				$data['judulForm7'] = 'Penggugat/Pemohon';
				$data['judulForm8'] = 'Tergugat/Termohon';
			} else {
				show_404();
			}

		$data['list_perkara'] = $query;
		$data['idalurperkara'] = $alur_perkara_id;
		$data['jenis_cetak'] = $jenis_cetak;
		
		$this->load->vars($data);
		$this->load->view('jadwal_sidang_list/jadwal_sidang_list_cetak');
	}
	function popup_cetak_jadwal_sidang_ruang(){

		if($this->session->userdata('is_logged_in')==FALSE){
			redirect('login');
		}
		$tambah_tanggal = mktime(0,0,0,date('m')+2,date('d')+0,date('Y')+0); // angka 2,7,1 yang dicetak tebal bisa dirubah rubah
		$data['current_date'] = date('d/m/Y',$tambah_tanggal);
		//$data['current_date'] = date('d/m/Y');
		$this->load->model('sidang_list/m_sidang_list','ruang');
		$data['ruangSidang'] = $this->ruang->get_list_ruang_sidang();
		$data['ketuaMajelis'] = $this->ruang->get_list_majelis();
		
		$this->load->vars($data);
		$this->load->view('jadwal_sidang_list/popup_cetak_jadwal_sidang_per_ruang');	
	}
	function cetak_jadwal_sidang_ruang(){
		$tanggal  		= $this->tanggalhelper->convertToMysqlDate($this->input->post('tgl_transaksi',TRUE));
		$IDruang  		= $this->input->post('nama_ruang',TRUE);
		$IDMajelis 		= $this->input->post('pilih_majelis',TRUE);
		$kriteria_cetak  		= $this->input->post('kriteria_cetak',TRUE);
		//echo "Kriteria : ".$IDMajelis;exit;
		$this->load->model('sidang_list/m_sidang_list','ruang');
		$data['namaSatker']	= $this->ruang->get_konfigurasi(62);
		$data['tanggal']  		= $this->tanggalhelper->convertDayDate($tanggal);
		//print_r($_SESSION);exit;
		$data['judulDoc']			="Jadwal-Sidang-".$tanggal;
				
		if($kriteria_cetak==0){ 
			$data['jadwalsidang'] = $this->ruang->get_list_jadwalsidang($tanggal,$IDruang);
			foreach($data['jadwalsidang']->result() as $rows) {
				$data['namaRuang'] = $rows->ruangan;
				}
			$this->load->view('jadwal_sidang_list/cetak_jadwal_sidang_per_ruang',$data);
		}elseif($kriteria_cetak==1){
			$data['jadwalsidangmajelis'] = $this->ruang->get_list_jadwalmajelis($tanggal,$IDMajelis);
			foreach($data['jadwalsidangmajelis']->result() as $rows) {
				$data['namaHakim'] = $rows->majelis_hakim_nama;
				}
				//echo "Majelis : ".$data['namaHakim'];exit;
			$this->load->view('jadwal_sidang_list/cetak_jadwal_sidang_per_majelis',$data);
		}
			
		
	}
}